import { isGroupColumns } from '../../../../../utils';
export const getGridPositions = (columns) => {
    const { positionsMap } = columns.reduce((acc, column) => {
        // Ширина колонки: количество детей для группы или 1 для обычной ячейки
        const width = isGroupColumns(column) ? column.children.length : 1;
        const start = acc.currentLine;
        const end = start + width;
        const key = isGroupColumns(column)
            ? column.label
            : column.field || column.label || '';
        acc.positionsMap.set(key, { start, end });
        acc.currentLine = end;
        return acc;
    }, {
        positionsMap: new Map(),
        currentLine: 1,
    });
    return positionsMap;
};
